{# readonly is set when including this template #}
{% if repondants %}<h4>Répondants :</h4>{% endif %}
<div class="list-group contact-list-orderable" data-reorder="{% url 'client-repondant-reorder' client.pk %}"
     data-confirm="Souhaitez-vous vraiment changer l’ordre des répondants ? La modification sera immédiatement enregistrée.">
    {% for contact in repondants %}
        {% if contact.sama %}
        <div class="list-group-item list-group-item-action d-flex justify-content-between align-items-center"
             draggable="true" data-contact="samas">
            <div><span class="counter">{{ forloop.counter }}</span>. <i>Service Samaritains</i></div>
            <a href="{% url 'client-samaritains' client.pk %}" class="openmodal" title="Attribution des samaritains">
                <span class="badge bg-primary rounded-pill samas-count" title="Nombre de samaritains liés à ce client">{{ samas_count }}</span>
            </a>
            <form method="post" action="{% url 'client-setsamas' client.pk %}" class="ajax">{% csrf_token %}
                <button class="btn btn-sm btn-outline-secondary pb-0 pt-0" id="remove_samas"
                        data-confirm="Voulez-vous vraiment enlever le service des Samaritains ?">Enlever</button>
            </form>
        </div>
        {% else %}
        <div class="list-group-item list-group-item-action d-flex justify-content-between pe-1 {% if contact.contact_visites %}contact-visites{% endif %}"
             draggable="true" data-contact="{{ contact.pk }}">
             <div>
                <span class="counter">{{ forloop.counter }}</span>.
               {{ contact.get_full_name }}{% if contact.complement %}, {{ contact.complement }}{% endif %}, {{ contact.rue_localite }}<br>
               {% if contact.relation %}{{ contact.relation }} - {% endif %}
               {% for tel in contact.telephones %}
                 <span class="ms-2">{{ tel.tel|as_tel }}{% if tel.remarque %} ({{ tel.remarque }})</span>{% endif %}
               {% endfor %}
               {{ contact.courriel|as_email_icon }}
               {% if contact.recoit_courrier and not contact.courrier_envoye %}
                  <img src="{% static 'img/warning.svg' %}" class="courrier_non_envoye" data-bs-toggle="tooltip" title="Le courrier initial n’a pas encore été envoyé pour cette personne">
               {% endif %}
               {% if contact.autres_fonctions %}
                <br><span class="referent-fonction">{{ contact.autres_fonctions }}</span>
               {% endif %}
             </div>
             {% if not readonly %}
             <a href="{% url 'client-referent-edit' client.pk contact.pk %}" class="openmodal ps-3 pe-3"
                title="Édition du contact"
                data-deleteurl="{% url 'client-referent-delete' client.pk contact.pk %}"
                data-deletemethod="get">
                    <img src="{% static 'img/edit.svg' %}" class="icon h-100">
             </a>
             {% endif %}
        </div>
        {% endif %}
    {% endfor %}
    {% if client.pk and not client.samaritains and not readonly %}
    <div id="add-samas-button" class="mb-3 mt-2">
        <form method="post" action="{% url 'client-setsamas' client.pk %}" class="ajax">{% csrf_token %}
            <button class="btn btn-sm btn-outline-secondary immediate_submit" id="id_samaritains"
                    title="Ajouter les Samaritains comme répondants"
                    data-confirm="Voulez-vous vraiment ajouter les Samaritains comme répondants ?">
                + Samaritains comme répondants</button>
        </form>
    </div>
    {% endif %}
</div>

{% if referents %}
<h4>Personne-s de référence à prévenir en cas d'urgence :</h4>
<div class="list-group contact-list-orderable" data-reorder="{% url 'client-referent-reorder' client.pk %}"
     data-confirm="Souhaitez-vous vraiment changer l’ordre des personnes de référence ? La modification sera immédiatement enregistrée.">
    {% for contact in referents %}
        <div class="list-group-item list-group-item-action d-flex justify-content-between pe-1 {% if contact.contact_visites %}contact-visites{% endif %}"
             draggable="true" data-contact="{{ contact.pk }}">
             <div>
               <span class="counter">{{ forloop.counter }}</span>. {{ contact.get_full_name }}{% if contact.complement %}, {{ contact.complement }}{% endif %}, {{ contact.rue_localite }}<br>
               {% if contact.relation %}{{ contact.relation }} - {% endif %}
               {% for tel in contact.telephones %}
                 <span class="ms-2">{{ tel.tel|as_tel }}{% if tel.remarque %} ({{ tel.remarque }})</span>{% endif %}
               {% endfor %}
               {{ contact.courriel|as_email_icon }}
               {% if contact.recoit_courrier and not contact.courrier_envoye %}
                  <img src="{% static 'img/warning.svg' %}" class="courrier_non_envoye" data-bs-toggle="tooltip" title="Le courrier initial n’a pas encore été envoyé pour cette personne">
               {% endif %}
               {% if contact.autres_fonctions %}
                <br><span class="referent-fonction">{{ contact.autres_fonctions }}</span>
               {% endif %}
            </div>
            {% if not readonly %}
            <a href="{% url 'client-referent-edit' client.pk contact.pk %}" class="openmodal ps-3 pe-3"
                title="Édition du contact"
                data-deleteurl="{% url 'client-referent-delete' client.pk contact.pk %}"
                data-deletemethod="get">
                    <img src="{% static 'img/edit.svg' %}" class="icon h-100">
            </a>
            {% endif %}
        </div>
    {% endfor %}
</div>
{% endif %}

{% if autres_contacts %}
<h4>Autres contacts :</h4>
<div class="list-group contact-list">
    {% for contact in autres_contacts %}
        <div class="list-group-item list-group-item-action d-flex justify-content-between pe-1 {% if contact.contact_visites %}contact-visites{% endif %}"
             draggable="true" data-contact="{{ contact.pk }}">
             <div>
               {{ contact.get_full_name }}{% if contact.complement %}, {{ contact.complement }}{% endif %}, {{ contact.rue_localite }}<br>
               {% if contact.relation %}{{ contact.relation }} - {% endif %}
               {% for tel in contact.telephones %}
                 <span class="ms-2">{{ tel.tel|as_tel }}{% if tel.remarque %} ({{ tel.remarque }})</span>{% endif %}
               {% endfor %}
               {{ contact.courriel|as_email_icon }}
               {% if contact.recoit_courrier and not contact.courrier_envoye %}
                  <img src="{% static 'img/warning.svg' %}" class="courrier_non_envoye" data-bs-toggle="tooltip" title="Le courrier initial n’a pas encore été envoyé pour cette personne">
               {% endif %}
               {% if contact.autres_fonctions %}
                <br><span class="referent-fonction">{{ contact.autres_fonctions }}</span>
               {% endif %}
            </div>
            {% if not readonly %}
            <a href="{% url 'client-referent-edit' client.pk contact.pk %}" class="openmodal ps-3 pe-3"
                title="Édition du contact"
                data-deleteurl="{% url 'client-referent-delete' client.pk contact.pk %}"
                data-deletemethod="get">
                    <img src="{% static 'img/edit.svg' %}" class="icon h-100 opacity-75">
            </a>
            {% endif %}
        </div>
    {% endfor %}
</div>
{% endif %}
